Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Create collection
        • Delete collection
        • Delete collections
        • Get collection breadcrumbs
        • Get collection
        • Get collections list by ids
        • Get collection content
        • Get root collection permissions
        • Move collection
        • Move collections
        • Update collection
        • Update collection access bindings
        • List collection access bindings
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Collection
  4. Get collection breadcrumbs
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Get collection breadcrumbs

Returns the breadcrumb path for the specified collection.

RequestRequest

POST

https://api.datalens.tech/rpc/getCollectionBreadcrumbs

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "collectionId": "example",
  "includePermissionsInfo": true
}

Name

Description

collectionId

Type: string

ID of the collection whose breadcrumbs to retrieve.

Example: example

includePermissionsInfo

Type: boolean

Include permission information in the response.

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
[
  {
    "collectionId": "example",
    "title": "example",
    "description": "example",
    "parentId": "example",
    "tenantId": "example",
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "meta": {},
    "permissions": {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "createSharedEntry": true,
      "createCollection": true,
      "createWorkbook": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true
    }
  }
]

Name

Description

collectionId

Type: string

Unique identifier of the collection.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the collection.

Example: example

description

Type: string | null

Description of the collection.

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the collection.

Example
{}

parentId

Type: string | null

ID of the parent collection.

Example: example

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the collection.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the collection.

Example: example

permissions

Type: object

copy

Type: boolean

Indicates if the collection can be copied.

createCollection

Type: boolean

Indicates if child collections can be created in the collection.

createSharedEntry

Type: boolean

Indicates if shared entries can be created in the collection.

createWorkbook

Type: boolean

Indicates if workbooks can be created in the collection.

delete

Type: boolean

Indicates if the collection can be deleted.

limitedView

Type: boolean

Indicates if the collection can be viewed with limited access.

listAccessBindings

Type: boolean

Indicates if access bindings for the collection can be listed.

move

Type: boolean

Indicates if the collection can be moved.

update

Type: boolean

Indicates if the collection can be updated.

updateAccessBindings

Type: boolean

Indicates if access bindings for the collection can be updated.

view

Type: boolean

Indicates if the collection can be viewed.

Permissions for the collection.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "createSharedEntry": true,
  "createCollection": true,
  "createWorkbook": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "delete": true
}

Was the article helpful?

Previous
Delete collections
Next
Get collection
© 2026 Direct Cursus Technology L.L.C.